Bug 77845 - FILEOPEN: MS compatibility pack created DOC - Table incorrectly imported with an additional column (OK for DOCX and MSO created DOC)
Summary: FILEOPEN: MS compatibility pack created DOC - Table incorrectly imported with...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:doc
Depends on:
Blocks: DOC-Tables
  Show dependency treegraph
 
Reported: 2014-04-24 01:55 UTC by Yousuf Philips (jay) (retired)
Modified: 2021-09-30 04:02 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
table with unalign cell across rows (53.18 KB, image/jpg)
2014-04-24 01:55 UTC, Yousuf Philips (jay) (retired)
Details
converted .doc file (186.50 KB, application/msword)
2014-04-24 01:56 UTC, Yousuf Philips (jay) (retired)
Details
MSO 2016 converted .doc file (357.50 KB, application/msword)
2019-09-30 09:17 UTC, Timur
Details
File page 8 compared MSO LO.png (221.99 KB, image/png)
2019-09-30 09:20 UTC, Timur
Details
File page 1 compared MSO LO.png (239.84 KB, image/png)
2019-09-30 09:25 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-04-24 01:55:37 UTC
Created attachment 97843 [details]
table with unalign cell across rows

I downloaded the .docx file found at < http://download.microsoft.com/documents/rus/microsoft4you/How_to_license_the_operating_system_Windows_8_new.docx > and used the microsoft compatibility pack to convert it to a .doc file. Then i opened the .doc file in LibO and on page 8, the cell width across rows is not constant. Tested in LibO 4.0+.
Comment 1 Yousuf Philips (jay) (retired) 2014-04-24 01:56:07 UTC
Created attachment 97844 [details]
converted .doc file
Comment 2 Jorendc 2014-04-26 14:17:10 UTC
Reproducible, tested using Windows 8.1 using LibreOffice Version: 4.3.0.0.alpha1+
Build ID: f4a6837025a293312cbc43b9c527851362f11030
TinderBox: Win-x86@47-TDF, Branch:MASTER, Time: 2014-04-26_09:21:18

Kind regards,
Joren
Comment 3 A (Andy) 2015-12-27 20:35:45 UTC
Reproducible with LO 5.1.0.1, Win 8.1
Comment 4 Telesto 2016-12-05 21:26:08 UTC
Reproducible with
Version: 5.4.0.0.alpha0+
Build ID: 33f5bc54aaa7fe7aa9335726e30f9c349155e04d
CPU Threads: 4; OS Version: Windows 6.2; UI Render: default; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2016-12-01_23:21:05
Locale: nl-NL (nl_NL); Calc: CL
Comment 5 Justin L 2017-09-03 01:26:50 UTC
There is a tiny column behind the "shorter" cells which is causing the problem.
Comment 6 Yousuf Philips (jay) (retired) 2017-09-27 22:29:57 UTC
Still repo.

Version: 6.0.0.0.alpha0+
Build ID: 892c719fffa06de4c7aeab497326cad7bae9e5c6
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-09-27_03:02:09
Locale: en-US (en_US.UTF-8); Calc: group

As Justin mentioned in comment 5, the original table is 2x7, but gets imported as a 3x7 table causing this issue.
Comment 7 QA Administrators 2018-09-28 02:43:20 UTC Comment hidden (obsolete)
Comment 8 Roman Kuznetsov 2018-09-28 10:56:23 UTC
still repro in

Version: 6.1.2.1
Build ID: 65905a128db06ba48db947242809d14d3f9a93fe
CPU threads: 4; OS: Windows 6.1; UI render: default; 
Locale: ru-RU (ru_RU); Calc: group threaded

but i think that file just curve from scratch after converting docx->doc
Comment 9 QA Administrators 2019-09-29 03:07:59 UTC Comment hidden (obsolete)
Comment 10 Timur 2019-09-30 09:17:07 UTC
Created attachment 154647 [details]
MSO 2016 converted .doc file
Comment 11 Timur 2019-09-30 09:20:48 UTC
Created attachment 154648 [details]
File page 8 compared MSO LO.png

This bug is based on .DOC converted with the microsoft compatibility pack.
Issue in table on page 8 is still reproduced. 
But, no repro for  attachment 154647 [details] .DOC created using MSO 2016 to save DOCX as DOC.
MSO still opens correctly that attachment 97844 [details] .DOC.
We may leave this open with low priority.
Comment 12 Timur 2019-09-30 09:25:31 UTC
Created attachment 154649 [details]
File page 1 compared MSO LO.png

This report is for page 8. Jay opened more bugs for the same file. Other reports should be always referenced in See Also. I don't see a report for background image position on page 1 for DOCX fileopen. As shown in attachment. I guess it's reported elsewhere.
Comment 13 QA Administrators 2021-09-30 04:02:34 UTC
Dear Yousuf Philips (jay) (retired),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug